<template>
    <div>
      <default-spinner-component :loading-message="loadingMessage"
        v-if="gettingAllSalesData"/>
        <v-layout row
          justify-space-around
          v-if="showItemRegistrationProcess"
          v-bind="gridResponsiveness">
          <v-flex xs6 v-if="hideRegistrationCard" style="margin-top:20px;">
            <v-card style="height:auto;min-height:300px; !important;width:94%;margin: 0 auto;"
              class="defaultCardBackground">
              <v-card-title>
                <h4 style="color:rgb(80, 130, 150)">
                  Add Item
                </h4>
              </v-card-title>
              <v-divider></v-divider>
              <item-registration/>
              <store-add-component/>
              <brand-registration-form/>
              <size-number-price-form-comonent/>
            </v-card>
          </v-flex>
          <v-flex xs6 style="margin-top:20px;">
            <v-card style="height:auto;min-height:300px !important;width:94%;margin: 0 auto;"
              class="defaultCardBackground">
              <v-card-title>
                <h4 style="color:rgb(80, 130, 150)">
                  Result
                </h4>
              </v-card-title>
              <v-divider></v-divider>
              <BrandListComponent/>
            </v-card>
          </v-flex>
       </v-layout>
     <br/><br/><br/>
    </div>
</template>
<script>
import ItemRegistration from './itemRegistration.vue'
import StoreAddComponent from './storeAdd.vue'
import BrandRegistrationForm from './brandAdd.vue'
import BrandListComponent from './brandInformation.vue'
import SizeNumberPriceFormComonent from './sizeNumberPrice.vue'
import DefaultSpinnerComponent from './../common/spinner.vue'
import axios from 'axios'
export default {
  name: 'AddItemsComponent',
  data: () => ({
    items: [],
    chips: [],
    loadingMessage: 'Loading ...',
    gettingAllSalesData: false,
    showItemRegistrationProcess: false
  }),
  computed: {
    showListForm () {
      return this.$store.state.itemRegistrationModule.storeFormValid
    },
    hideRegistrationCard () {
      return this.$store.state.itemRegistrationModule.sizePriceNumberFormValid
    },
    gridResponsiveness () {
      const gridResponsiveness = {}
      if (this.$vuetify.breakpoint.width <= 762) gridResponsiveness.column = true
      return gridResponsiveness
    }
  },
  methods: {
  },
  components: {
    ItemRegistration,
    StoreAddComponent,
    BrandRegistrationForm,
    BrandListComponent,
    SizeNumberPriceFormComonent,
    DefaultSpinnerComponent
  },
  beforeCreate () {
    this.$store.commit('RESET_ITEM_REGISTRATION_FORM')
  },
  created () {
    this.gettingAllSalesData = true
    axios.get('store')
      .then(response => {
        setTimeout(() => {
          this.$store.commit('ALL_STORE_DATA_RETURNED', response.data)
          this.gettingAllSalesData = false
          this.showItemRegistrationProcess = true
        }, 2000)
      })
      .catch(error => {
        this.$store.commit('SHOW_ERROR_SNACK_BAR', 'Error in getting all store name list: ' + error)
      })
  }
}
</script>
<style>
#detailsContent{
  height: 350px !important;
}
.error {
  border: 1px solid #FF3D00 !important;
  background: #ffffff !important;
}

.error:focus {
  outline-color: #F99;
}

.valid {
  border:1px solid #43A047 !important;
}

.valid:focus {
  outline-color: #43A047;
}
</style>
